Subject: bug#41423: 27.0.91; eshell file completion in tramp dir is slow (3 minutes) [regression on pretest]

From: xristos <[email-masked]>
Date: Sun, 31 Jan 2021 12:07:46 -0500

On Wed, 2 Sep 2020 09:00:14 -0700 (PDT), 
Drew Adams <[email-masked]> wrote:
> +1
>
> And it's not just a lack of doc, I think.
> The completion mechanism (e.g. minibuffer.el) is a labyrinth.

+1

I was bitten by this bug today (which is still unfixed afaict),
and since TRAMP/eshell is an important part of my daily routine I
went back to using pcomplete.

Having ran into similar completion heisenbugs in the past, I have
to say that I find the mechanism to be severely under-documented and
the code very hard to make sense of in reasonable time. A design document
that lays out the architecture and component interactions is sorely
needed.